PIXBLEND
1
BRL-CAD
BRL-CAD

# pixblend

blend two pix(5) or bw(5) images

      pixblend
        - rivalue
        -s seedval
        -S
        file1.pix
        file2.pix
        >
        out.pix

## DESCRIPTION

`pixblend` Given two streams of data, typically pix 5 or bw 5 images, generate a "blended" output stream of the same size. This routine operates on a pixel-by-pixel basis, and thus is independent of the resolution of the image. The type of blending performed is determined by the following options:

## OPTIONS

`-r` VALUE

  This specifies random blending; for each pixel of the output stream, a number will be chosen uniformly from the interval [0, 1). If this number exceeds VALUE, then the pixel from the first image will be output; otherwise, the pixel from the second image will be output. Note that if VALUE is 0, then the output will equal the first image; if VALUE is 1, then the output will equal the second image.

`-i` VALUE

  This specifies linear interpolation; for each pixel of the output stream, the interpolated pixel ((1.0 - VALUE) * pixel1 + VALUE * pixel2) will be output (where pixel1 and pixel2 are the corresponding pixels from file1 and file2, respectively.) Note that if VALUE is 0, then the output will equal the first image; if VALUE is 1, then the output will equal the second image.

`-s` SEEDVAL

  By default, `pixblend` uses the value 0 as the random number seed. With the -s option the user may set the random number seed to SEEDVAL.

`-S`

  Instructs `pixblend` to use bits from the clock as a random number seed.

`-g` GVALUE

  Tells `pixblend` to "glitterize" the image; if the random draw for a pixel is below GVALUE, then the pixel output is white; otherwise, the pixel used is determined by the ratio set with the -r option (see above.)

## EXAMPLES

pixblend -i .25 source.pix destination.pix > out.pix pixblend -r .75 source.pix destination.pix > out.pix pixblend -r .5 -s source.pix destination.pix > out.pix pixblend -r .5 -s 23 source.pix destination.pix > out.pix

## SEE ALSO

brlcad 1, gencolor 1, pix 5, bw 5

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1995-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.